import 'package:flutter/material.dart';
import 'package:anyway/constants.dart';
import 'package:anyway/layout.dart';

void main() => runApp(const App());

final GlobalKey<ScaffoldMessengerState> rootScaffoldMessengerKey = GlobalKey<ScaffoldMessengerState>();

class App extends StatelessWidget {
  const App({super.key});


  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: APP_NAME,
      home: BasePage(mainScreen: "map"),
      theme: APP_THEME,
      scaffoldMessengerKey: rootScaffoldMessengerKey
    );
  }
}
